using System.Collections;
using System.Collections.Generic;
using TMPro;
using UnityEngine;

public class CreditsHandler : MonoBehaviour
{
    [SerializeField] Texture2D cursorNormalSprite;
    [SerializeField] Texture2D cursorActionSprite;

    
    public MessageHandler text;
    [TextArea(5,10)]
    public string credistText;
    
    void OnMouseDown()
    {
        text.NewText(credistText);
        
    }
    
    private void OnMouseEnter()
    {
        CursorHandler.ChangeCursor(cursorActionSprite);
    }

    private void OnMouseExit()
    {
        CursorHandler.ChangeCursor(cursorNormalSprite);
    }
}
